package com.persagy.dmp.middleware.constant.enums;

import lombok.Getter;

/**
 * @ClassName RelationTypeEnum
 * @Description: 关系枚举
 * @Author linhuili
 * @Date 2021/9/10 09:37
 * @Version V1.0
 **/
@Getter
public enum RelationTypeEnum {

    ARCHSUBSET_BD2FL("ArchSubset","Bd2Fl","楼层所在建筑");

    /**图类型编码*/
    private String graphCode;
    /**边类型编码*/
    private String relCode;
    /**描述*/
    private String desc;
    /**
     * 构造函数
     * @param graphCode
     * @param relCode
     */
    RelationTypeEnum(String graphCode,String relCode,String desc){
        this.graphCode = graphCode;
        this.relCode = relCode;
        this.desc = desc;
    }

}
